<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 9</a>

    <script>

        const voltearSig = (a) => {
            let neg = 0,
                tmp = a < 0 ? 1 : -1;

            while (a != 0) {
                neg += tmp;
                a += tmp;
            }
            return neg;
        }
 
        const signoDif = (a , b) => {
            return ((a < 0 && b > 0) || (a > 0 && b < 0));
        }
 
        const resta = (a , b) => {
            return a + voltearSig(b);
        }
 
        const multpli = (a , b) => {

            if (a < b)
                return multpli(b, a);
        
            var sum = 0;
            for (i = Math.abs(b); i > 0; i--)
                sum += a;
 
            if (b < 0)
                sum = voltearSig(sum);
 
            return sum;
        }
 
        const division = (a , b) => {

            if (b === 0)
                throw new ArithmeticException();
 
            let quotient = 0, dividend,
                divisor = voltearSig(Math.abs(b));
 
            for (dividend = Math.abs(a); dividend >= Math.abs(divisor); dividend += divisor)
                quotient++;
 
            if (signoDif(a, b))
                quotient = voltearSig(quotient);
            return quotient;
        }  
 
        console.log("Resta: " + resta(4, -2));
        console.log("Mlutiplicación " + multpli(5, 2));
 
        try {
            console.log("Divición " + division(16, 2));
        } 
        catch (e) {
            console.log("No se puede dividir entre 0");
        }
    

</script>
    
</body>
</html>